--Version 1.7--
require 'Items/SuburbsDistributions'

local V_foods = {
    "Base.BeerCan",1,
    "Base.Butter",0.2,
    "Base.Carrots",1.5,
    "Base.Chocolate",0.5,
    "Base.Crackers",1,
    "Base.Crisps",0.4,
    "Base.Crisps2",0.4,
    "Base.Crisps3",0.4,
    "Base.Crisps4",0.4,
    "Base.Gum",1,
    "Base.Margarine",0.2,
    "Base.MintCandy",2.5,
    "Base.Peanuts",1,
    "Base.Pepper",0.2,
    "Base.Pickles",1.5,
    "Base.Potato",1,
    "Base.PowderedGarlic",0.2,
    "Base.PowderedOnion",0.2,
    "Base.Salt",0.2,
    "Base.SunflowerSeeds",1,
    "Base.Sugar",0.2,
    "Base.Teabag2",0.2,
    "Base.WaterBottleEmpty",1,
    "Base.WaterPopBottle",1,
    "Base.Whiskey",0.3
}
local V_Canned = {
    "Base.CannedBolognese",0.5,
    "Base.CannedCorn",0.5,
    "Base.CannedCornedBeef",0.5,
    "Base.CannedPeas",0.5,
    "Base.CannedSardines",0.5,
    "Base.DentedCan",1.5,
    "Base.MysteryCan",1.0,
    "Base.TunaTin",0.5
}
local V_Materials = {
    "Base.DishTowel",1,
    "Base.DuctTape",0.5,
    "Base.Glue",0.5,
    "Base.Nails",2.5,
    "Base.RippedSheetsDirty",1.5,
    "Base.Screws",1.5,
    "Base.Epoxy",0.25,
    "Base.Woodglue",0.25,
    "Base.SteelPiece",0.3,
    "Base.IronPiece",0.3,
    "Base.ScrapMetal",0.5,
    "Base.WeldingRods",0.25,
    "Base.Zipties",0.5
}
local V_Elec_Mat = {
    "Base.Battery",0.5,
    "Base.Earbuds",1,
    "Base.ElectricWire",1,
    "Base.ElectronicsScrap",1,
    "Base.LightBulb",0.5,
    "Base.Torch",0.3,
    "Base.WalkieTalkie",0.25
}
local V_Tools = {
    "Base.Axe",0.05,
    "Base.BlowTorch",0.05,
    "Base.CarpentryChisel",0.1,
    "Base.Crowbar",0.05,
    "Base.File",0.1,
    "Base.Hammer",0.1,
    "Base.KitchenKnife",0.1,
    "Base.MasonsChisel",0.1,
    "Base.MetalworkingChisel",0.1,
    "Base.Pan",0.1,
    "Base.PipeWrench",0.1,
    "Base.Saw",0.1,
    "Base.Screwdriver",0.1,
    "Base.SmallFileSet",0.1,
    "Base.SmallPunchSet",0.1,
    "Base.Spanner",0.1,
    "Base.TinOpener",0.1,
    "Base.Tweezers",0.1,
    "Base.WoodAxe",0.025,
    "Base.Handiknife",0.05
}
local V_Magazine = {
    "Base.Brochure",1,
    "Base.Flier",1,
    "Base.Magazine",1,
    "Base.Magazine_Popular",1,
    "Base.Newspaper",1,
    "Base.VHS_Retail",0.2,
    "Base.Disc_Retail",0.2
}
local V_Other = {
    "Base.EngineParts",0.05,
    "Base.CigarettePack",0.5,
    "Base.Garbagebag",1,
    "Base.Lipstick",1,
    "Base.MakeupEyeshadow",1,
    "Base.Matches",0.5,
    "Base.Needle",0.5,
    "Base.Plasticbag",1,
    "Base.Soap2",1,
    "Base.Thread",1   
}
local V_FirstAid = {
    "Base.AlcoholWipes",1,
    "Base.Bandage",1,
    "Base.PillsBeta",0.2,
    "Base.Disinfectant",0.5,
    "Base.FirstAidKit",0.1,
    "Base.Pills",0.2,
    "Base.PillsAntiDep",0.2,
    "Base.PillsVitamins",0.2,
    "Base.Tissue",1,
}
local V_Guns = {
    "Base.BaseballBat",0.25,
    "Base.Pistol",0.2,
    "Base.Shotgun",0.05,
    "Base.ShotgunSawnoff",0.05
}
local V_Ammon = {
    "Base.Bullets9mm",2,
    "Base.Bullets38",2,
    "Base.Bullets45",2,
    "Base.Bullets44",2,
    "Base.ShotgunShells",1,
    "Base.223Bullets",1,
    "Base.308Bullets",0.5,
    "Base.556Bullets",0.5,
    "Base.Bullets9mmBox",0.2, 
    "Base.Bullets38Box",0.2, 
    "Base.Bullets44Box",0.2, 
    "Base.Bullets45Box",0.2, 
    "Base.ShotgunShellsBox",0.1,
    "Base.223Box",0.1,
    "Base.308Box",0.05,  
    "Base.556Box",0.05
}
local V_Trash = {
    "Base.Clay",0.5,
    "Base.Cockroach",1,
    "Base.FlintNodule",1,
    "Base.SharpedStone",0.5,
    "Base.Stone2",1,
    "Base.Twigs",1 
}

local LootZ = {V_foods,V_Canned,V_Materials,V_Elec_Mat,V_Tools,V_Magazine,V_Other,V_FirstAid,V_Guns,V_Ammon,V_Trash}

local V_i = 1;
local V_j = 1;
local V_Prob = 1;
local V_Rate = 0.25;
while LootZ[V_j] do
    V_i = 1;
    while LootZ[V_j][V_i] do
        V_Prob = LootZ[V_j][V_i+1] * V_Rate
        table.insert(SuburbsDistributions["all"]["inventorymale"].items, LootZ[V_j][V_i]);
        table.insert(SuburbsDistributions["all"]["inventorymale"].items, V_Prob);
        table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, LootZ[V_j][V_i]);
        table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, V_Prob); 
        V_i = V_i + 2;
    end
    V_j = V_j + 1
end
















