--Version 1.8 B41--
require 'Items/SuburbsDistributions'

local V_foods = {
    "Base.BeerCan", 0.25,
    "Base.Butter", 0.05,
    "Base.Carrots", 0.375,
    "Base.Chocolate", 0.125,
    "Base.Crackers", 0.25,
    "Base.Crisps", 0.1,
    "Base.Crisps2", 0.1,
    "Base.Crisps3", 0.1,
    "Base.Crisps4", 0.1,
    "Base.Gum", 0.25,
    "Base.Margarine", 0.05,
    "Base.MintCandy", 0.625,
    "Base.Peanuts", 0.25,
    "Base.Pepper", 0.05,
    "Base.Pickles", 0.375,
    "Base.Potato", 0.25,
    "Base.Salt", 0.05,
    "Base.SunflowerSeeds", 0.25,
    "Base.Sugar", 0.05,
    "Base.Teabag2", 0.05,
    "Base.WaterBottleEmpty", 0.25,
    "Base.WaterPopBottle", 0.25,
    "Base.Base.WhiskeyFull", 0.075
}

local V_Canned = {
    "Base.CannedBolognese", 0.125,
    "Base.CannedCorn", 0.125,
    "Base.CannedCornedBeef", 0.125,
    "Base.CannedPeas", 0.125,
    "Base.CannedSardines", 0.125,
    "Base.TunaTin", 0.125
}

local V_Materials = {
    "Base.DishTowel", 0.25,
    "Base.DuctTape", 0.125,
    "Base.Glue", 0.125,
    "Base.Nails", 0.625,
    "Base.RippedSheetsDirty", 0.375,
    "Base.Screws", 0.375,
    "Base.Woodglue", 0.0625,
    "Base.ScrapMetal", 0.125,
    "Base.WeldingRods", 0.0625
}

local V_Elec_Mat = {
    "Base.Battery", 0.125,
    "Base.Earbuds", 0.25,
    "Base.ElectricWire", 0.25,
    "Base.ElectronicsScrap", 0.25,
    "Base.LightBulb", 0.125,
    "Base.Torch", 0.075,
    "Base.WalkieTalkie", 0.0625
}

local V_Tools = {
    "Base.Axe", 0.0125,
    "Base.BlowTorch", 0.0125,
    "Base.Crowbar", 0.0125,
    "Base.Hammer", 0.025,
    "Base.Pan", 0.025,
    "Base.PipeWrench", 0.025,
    "Base.Saw", 0.025,
    "Base.Screwdriver", 0.025,
    "Base.Spanner", 0.025,
    "Base.TinOpener", 0.025,
    "Base.Tweezers", 0.025,
    "Base.WoodAxe", 0.00625
}

local V_Magazine = {
    "Base.Magazine", 0.25,
    "Base.Magazine_Popular", 0.25,
    "Base.Newspaper", 0.25,
    "Base.VHS_Retail", 0.05,
    "Base.Disc_Retail", 0.05
}

local V_Other = {
    "Base.EngineParts", 0.0125,
    "Base.CigarettePack", 0.125,
    "Base.Garbagebag", 0.25,
    "Base.Lipstick", 0.25,
    "Base.MakeupEyeshadow", 0.25,
    "Base.Matches", 0.125,
    "Base.Needle", 0.125,
    "Base.Plasticbag", 0.25,
    "Base.Soap2", 0.25,
    "Base.Thread", 0.25
}

local V_FirstAid = {
    "Base.AlcoholWipes", 0.25,
    "Base.Bandage", 0.25,
    "Base.PillsBeta", 0.05,
    "Base.Disinfectant", 0.125,
    "Base.FirstAidKit", 0.025,
    "Base.Pills", 0.05,
    "Base.PillsAntiDep", 0.05,
    "Base.PillsVitamins", 0.05,
    "Base.Tissue", 0.25
}

local V_Guns = {
    "Base.BaseballBat", 0.0625,
    "Base.Pistol", 0.05,
    "Base.Shotgun", 0.0125,
    "Base.ShotgunSawnoff", 0.0125
}

local V_Ammon = {
    "Base.Bullets9mm", 0.5,
    "Base.Bullets38", 0.5,
    "Base.Bullets45", 0.5,
    "Base.Bullets44", 0.5,
    "Base.ShotgunShells", 0.25,
    "Base.223Bullets", 0.25,
    "Base.308Bullets", 0.125,
    "Base.556Bullets", 0.125,
    "Base.Bullets9mmBox", 0.05,
    "Base.Bullets38Box", 0.05,
    "Base.Bullets44Box", 0.05,
    "Base.Bullets45Box", 0.05,
    "Base.ShotgunShellsBox", 0.025,
    "Base.223Box", 0.025,
    "Base.308Box", 0.0125,
    "Base.556Box", 0.0125
}

local V_Trash = {
    "Base.Cockroach", 0.25,
    "Base.SharpedStone", 0.125,
    "Base.Stone2", 0.25,
    "Base.Twigs", 0.25
}

local LootZ = {V_foods,V_Canned,V_Materials,V_Elec_Mat,V_Tools,V_Magazine,V_Other,V_FirstAid,V_Guns,V_Ammon,V_Trash}

local V_i = 1;
local V_j = 1;
local V_Prob = 1;
local V_Rate = 0.25;
while LootZ[V_j] do
    V_i = 1;
    while LootZ[V_j][V_i] do
        V_Prob = LootZ[V_j][V_i+1] * V_Rate
        table.insert(SuburbsDistributions["all"]["inventorymale"].items, LootZ[V_j][V_i]);
        table.insert(SuburbsDistributions["all"]["inventorymale"].items, V_Prob);
        table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, LootZ[V_j][V_i]);
        table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, V_Prob); 
        V_i = V_i + 2;
    end
    V_j = V_j + 1
end
















